Bug 755653 - updating a group's name or description causes the group to be removed from any roles with which it is associated
updating a group's name or description causes the group to be removed from an...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
high Severity urgent (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: jon30-sprint9
  Show dependency treegraph
 
Reported: 2011-11-21 12:37 EST by Ian Springer
Modified: 2013-08-05 20:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-11-21 12:37:08 EST
Repro Steps
===========
1) create a group 
2) create a role and add the group to the role
3) change the group's name

Look at the role and notice the group is no longer associated with it.
Comment 1 Mike Foley 2011-11-23 11:11:02 EST
not so comfortable with  last minute changes to security.  setting priority to MEDIUM.  lukas ... put this only in master (not jon 3 branch).  

additionally 
1) document your perception of the regression risk with security, 
2) document the tests that you have performed to verify this
3) document who else in development has code reviewed your change
Comment 2 Charles Crouch 2011-11-23 13:55:25 EST
(10:25:01 AM) lkrejci: mfoley: wrt https://bugzilla.redhat.com/show_bug.cgi?id=755653. is this not a regression from JON 2.4.1? (i didn't check yet)
(10:27:51 AM) mfoley: looking
(10:28:23 AM) mfoley: i don't know if it is a regression or not
(10:34:00 AM) lkrejci: mfoley: it's a regression from jon 2.4.1, i'm going to work on it anyway but I think it *should* go into the release
Comment 3 Lukas Krejci 2011-11-24 14:20:52 EST
This is only in master right now.
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=90081e71f34681d194767d00705d485a393ee133

commit 90081e71f34681d194767d00705d485a393ee133
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Nov 24 12:56:28 2011 +0100

    [BZ 755653] - Make sure role membership is not updated through
    the updateResourceGroup() methods.
Comment 4 Sunil Kondkar 2011-11-28 05:49:36 EST
Verified on master build#790 (Version: 4.3.0-SNAPSHOT Build Number: b9ef6c8)

Created a group and a role. Associated the group to the role. Changed the group name and verified that the role is associated with the group. It displays the changed group name in 'Assigned Resource Groups' table.
Comment 5 Mike Foley 2011-11-28 14:14:05 EST
assigning to dev.

has this change been code reviewed by another dev?
Comment 6 Ian Springer 2011-11-28 14:31:06 EST
It looks good to me.
Comment 7 Mike Foley 2011-11-28 14:39:35 EST
then please push to jon 3 branch
Comment 8 John Mazzitelli 2011-11-28 16:22:36 EST
code looks good. pushed to release_jon3.x branch: e4eac1f
Comment 9 Mike Foley 2011-11-29 12:04:32 EST
verified
Comment 10 Mike Foley 2012-02-07 14:21:00 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.